import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'dynamic_island_platform_interface.dart';

/// An implementation of [DynamicIslandPlatform] that uses method channels.
class MethodChannelDynamicIsland extends DynamicIslandPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('dynamic_island');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
