import 'package:flutter_test/flutter_test.dart';
import 'package:dynamic_island/dynamic_island.dart';
import 'package:dynamic_island/dynamic_island_platform_interface.dart';
import 'package:dynamic_island/dynamic_island_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockDynamicIslandPlatform
    with MockPlatformInterfaceMixin
    implements DynamicIslandPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final DynamicIslandPlatform initialPlatform = DynamicIslandPlatform.instance;

  test('$MethodChannelDynamicIsland is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelDynamicIsland>());
  });

  test('getPlatformVersion', () async {
    DynamicIsland dynamicIslandPlugin = DynamicIsland();
    MockDynamicIslandPlatform fakePlatform = MockDynamicIslandPlatform();
    DynamicIslandPlatform.instance = fakePlatform;

    expect(await dynamicIslandPlugin.getPlatformVersion(), '42');
  });
}
