#ifndef FLUTTER_PLUGIN_DYNAMIC_ISLAND_PLUGIN_H_
#define FLUTTER_PLUGIN_DYNAMIC_ISLAND_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace dynamic_island {

class DynamicIslandPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  DynamicIslandPlugin();

  virtual ~DynamicIslandPlugin();

  // Disallow copy and assign.
  DynamicIslandPlugin(const DynamicIslandPlugin&) = delete;
  DynamicIslandPlugin& operator=(const DynamicIslandPlugin&) = delete;

 private:
  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace dynamic_island

#endif  // FLUTTER_PLUGIN_DYNAMIC_ISLAND_PLUGIN_H_
